Bug 104798 - Autocorrect cannot be set to two (or more) languages in one document (Options and Localized options)
Summary: Autocorrect cannot be set to two (or more) languages in one document (Options...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Options-Dialog AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2016-12-19 22:44 UTC by Milan
Modified: 2019-02-01 03:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan 2016-12-19 22:44:35 UTC
Description:
In the AutoCorrect in Options cannot been set a language different from Locale Settings (Tools -> Options -> Language Settings -> Languages -> Locale Setting), therefore English/Czech quotes (which are not the same) do not work properly. In the AutoCorrect settings is particular Locale Settings language greyed and cannot be changed.
I have documents with texts in two languages and need the AutoCorrect working correctly in the particular texts and languages by simply putting a cursor in the text.
This bug was confirmed to me by other users of LO too.

Steps to Reproduce:
1. Set language of the Character different from the one set in Locale.
2. Go to Format, AutoCorrect, AutoCorrect Options, Options.
3. The Language is grey and cannot be changed - and doesn't change even if the cursor is placed into a text in different language.

 

Actual Results:  
In the text, AutoCorrect changes quotes according to the locale settings regardless the language set in Character.

Expected Results:
AutoCorrect language should be set simply by putting a cursor in the particular text.


Reproducible: Always

User Profile Reset: Yes.

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36
Comment 1 Buovjaga 2016-12-31 14:39:00 UTC
As you talk about quotes, I guess you mean Localized options tab specifically.

I confirm the problem.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.4.2.0+
Build ID: 5.2.4-1
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 2 QA Administrators 2018-01-04 03:35:33 UTC Comment hidden (obsolete)
Comment 3 Milan 2018-01-31 22:09:56 UTC
The problem was solved partly. The English/Czech quotes now work properly simply by putting a cursor in the particular text.
Nevertheless, a language different from Locale Settings still cannot be set in AutoCorrect Options.
LibreOffice 5.4.4.2 (x64)
Comment 4 QA Administrators 2019-02-01 03:45:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug